From 95d3b794ff741e33fdfb0107444149879c7f2e17 Mon Sep 17 00:00:00 2001
From: Michele Baldessari <michele@acksyn.org>
Date: Fri, 10 May 2024 13:31:56 +0200
Subject: [PATCH] Avoid reusing uid 1000

---
 test/container/Dockerfile | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/test/container/Dockerfile b/test/container/Dockerfile
index 439bb9bf3..448a40670 100644
--- a/test/container/Dockerfile
+++ b/test/container/Dockerfile
@@ -1,5 +1,6 @@
 FROM docker.io/library/redis:7.2.4@sha256:7dd707032d90c6eaafd566f62a00f5b0116ae08fd7d6cbbb0f311b82b47171a2 as redis
 
+
 # There are libraries we will want to copy from here in the final stage of the
 # build, but the COPY directive does not have a way to determine system
 # architecture, so we create a symlink here to facilitate copying.
@@ -92,6 +93,8 @@ COPY ./test/container/entrypoint.sh /usr/local/bin
 
 ARG UID
 
+# Quick hack to avoid dealing with already existing 1000 UID in new ubuntu containers
+RUN userdel -f `awk -F: '$3==1000 { print $1 }' /etc/passwd`
 # Prepare user configuration & build environments
 RUN useradd -l -u ${UID} -d /home/user -s /bin/bash user && \
     echo "user ALL=(ALL) NOPASSWD:ALL" > /etc/sudoers.d/user && \
-- 
2.45.0

